nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::analytics::IObjectTrackInfo Class Referenceabstract
Inheritance diagram for nx::sdk::analytics::IObjectTrackInfo:

## Public Member Functions
Ptr< IList< ITimestampedObjectMetadata > > | track () const
Ptr< IUncompressedVideoFrame > | bestShotVideoFrame () const
Ptr< ITimestampedObjectMetadata > | bestShotObjectMetadata () const
Public Member Functions inherited from nx::sdk::Interface< IObjectTrackInfo >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Protected Member Functions
virtual IList< ITimestampedObjectMetadata > * | getTrack () const =0
virtual IUncompressedVideoFrame * | getBestShotVideoFrame () const =0
virtual ITimestampedObjectMetadata * | getBestShotObjectMetadata () const =0
Protected Member Functions inherited from nx::sdk::Interface< IObjectTrackInfo >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static constexpr const InterfaceId * | makeId (const char(&charArray)[len])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])

## Member Function Documentation

## ◆ getBestShotObjectMetadata()

virtual ITimestampedObjectMetadata* nx::sdk::analytics::IObjectTrackInfo::getBestShotObjectMetadata | ( |  | ) | const
| protected pure virtual

Returns
  Metadata for the position in the object track defined to be the best shot by the DeviceAgent that generated this track, or, if such information is not available, the first metadata of the object track. Returns null if the required metadata is not available, or obtaining such a metadata was not requested by the Engine manifest.

## ◆ getBestShotVideoFrame()

virtual IUncompressedVideoFrame* nx::sdk::analytics::IObjectTrackInfo::getBestShotVideoFrame | ( |  | ) | const
| protected pure virtual

Returns
  Frame defined to be the best shot in the object track by the DeviceAgent that generated this track, or, if such information is not available, the first frame of the object track. Returns null if the required frame is not available, or obtaining such a frame was not requested by the Engine manifest.

## ◆ getTrack()

virtual IList<ITimestampedObjectMetadata>* nx::sdk::analytics::IObjectTrackInfo::getTrack | ( |  | ) | const
| protected pure virtual

Returns
  List of metadata that share the same trackId.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_object_track_info.h